<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<script src="https://apis.google.com/js/platform.js" async defer></script>
		<meta
			name="google-signin-client_id"
			content="945408790745-b4sgdmc12fr9bualgvnkmd3n8m26ee7b.apps.googleusercontent.com"
		/>
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>login</title>
	</head>
	<body>
		<h1>login</h1>
		<div class="g-signin2" data-onsuccess="onSignIn"></div>
		<a href="#" onclick="signOut();">Sign out</a>

		<script>
			function onSignIn(googleUser) {
				var id_token = googleUser.getAuthResponse().id_token;
				console.log(id_token);

				var xhr = new XMLHttpRequest();
				xhr.open('POST', '/login');
				xhr.setRequestHeader('Content-Type', 'application/json');
				xhr.onload = function () {
					console.log('Signed in as: ' + xhr.responseText);
					// if (xhr.responseText == 'success') {
					// 	signOut();
					// 	location.assign('/dashboard');
					// }
				};
				xhr.send(JSON.stringify({ token: id_token }));
			}
		</script>
		<script>
			function signOut() {
				var auth2 = gapi.auth2.getAuthInstance();
				auth2.signOut().then(function () {
					console.log('User signed out.');
				});
			}
		</script>
	</body>
</html>
